libzypp 17.37.10

zypp::media::CurlConfig Struct Reference

Structure holding values of curlrc options. More...

`#include <zypp-curl/curlconfig.h>`

## Static Public Member Functions
static int | parseConfig (CurlConfig &config, const std::string &filename="")
| Parse a curlrc file and store the result in the config structure.
static int | setParameter (CurlConfig &config, const std::string &option, const std::string &value)
| Stores the value of the option in the config structure or logs an unknown option.

## Public Attributes
std::string | proxyuserpwd

## Detailed Description

Structure holding values of curlrc options.

Definition at line 26 of file curlconfig.h.

## Member Function Documentation

## ◆ parseConfig()

int zypp::media::CurlConfig::parseConfig | ( | CurlConfig & | config,
|  | const std::string & | filename = "" )
| static

Parse a curlrc file and store the result in the config structure.

Parameters

  config | a CurlConfig structure
  filename | path to the curlrc file. If empty, ~/.curlrc is used.

Returns
  0 on success, 1 if problem occurs.

Definition at line 24 of file curlconfig.cc.

## ◆ setParameter()

int zypp::media::CurlConfig::setParameter | ( | CurlConfig & | config,
|  | const std::string & | option,
|  | const std::string & | value )
| static

Stores the value of the option in the config structure or logs an unknown option.

Returns
  0 on success, 1 if problem occurs.

Definition at line 169 of file curlconfig.cc.

## Member Data Documentation

## ◆ proxyuserpwd

std::string zypp::media::CurlConfig::proxyuserpwd

Definition at line 49 of file curlconfig.h.

The documentation for this struct was generated from the following files:

- zypp-curl/curlconfig.h
- zypp-curl/curlconfig.cc